Subject: Re: bug#8860: 24.0.50; Fontification in minibuffer when mixing local and remote paths in find-file command

From: Michael Albinus <[email-masked]>
Date: Tue, 04 Sep 2018 15:08:29 +0200

Dani Moncayo <[email-masked]> writes:

Hi Dani,

> Starting from emacs -Q:
>
> 1. Change the current directory to a remote machine (M-x <ret> cd
> <ret> /user@host:/directory <ret>).
> 2. Type "C-x C-f d:/~".
> 3. Delete the last "~".
>
> After step #3, the "d:/" part should be displayed in normal font[1],
> but actually is displayed in gray font[2].
>
> [1] See attached file "img-correct.png".
> [2] See attached file "img-incorrect.png".

I've tested this on Windows 7 / Emacs 27.0.50. There have been several
changes over the years; all I could say is that it works as expected.

I couldn't test with Emacs 26.1, but I bet it works as well. Could you,
pls, check?

Best regards, Michael.